TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
FileObject Class Reference

Inherits SimObject.

## Public Member Functions
void | close ()
Boolean | isEOF ()
Boolean | openForAppend (filename)
Boolean | openForRead (filename)
Boolean | openForWrite (filename)
String | peekLine ()
String | readLine ()
void | writeLine (text)
void | writeObject (SimObject, object prepend)
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

void close | ( |  | ) |

Use the close method to close the current file handle. If the file was opened for writing, this flushes the contents of the last write to disk.

Returns
  No return value.

See also
  openForAppend, openForRead, openForWrite

Boolean isEOF | ( |  | ) |

Use the isEOF method to check to see if the end of the current file (opened for read) has been reached.

Returns
  Returns true if the end of file has been reached, false otherwise.

See also
  openForRead

Boolean openForAppend | ( | filename |  | ) |

Use the openForAppend method to open a previously created file for appending. If the file specified by filename does not exist, the file is created first.

Parameters

  filename | The path and filename of the file to open for appending.

Returns
  Returns true if the file was successfully opened for appending, false otherwise.

See also
  close, openForRead, openForWrite

Boolean openForRead | ( | filename |  | ) |

Use the openForRead method to open a previously created file for reading.

Parameters

  filename | The path and filename of the file to open for reading.

Returns
  Returns true if the file was successfully opened for reading, false otherwise.

See also
  close, OpenForAppend, OpenForWrite

Boolean openForWrite | ( | filename |  | ) |

Use the openForWrite method to previously created or a new file for writing. In either case, the file will be overwritten.

Parameters

  filename | The path and filename of the file to open for writing.

Returns
  Returns true if the file was successfully opened for writing, false otherwise.

See also
  close, OpenForAppend, openForRead

String peekLine | ( |  | ) |

Read a line from the file without moving the stream position.

String readLine | ( |  | ) |

Use the readLine method to read a single line from a file previously opened for reading. Use isEOF to check for end of file while reading.

Returns
  Returns the next line in the file, or a NULL string if the end-of-file has been reached.

See also
  isEOF, openForRead

void writeLine | ( | text |  | ) |

Use the writeLine method to write a value ( text ) into a file that was previously opened for appending or over-writing.

Parameters

  text | The value to write to the file.

Returns
  No return value.

See also
  openForAppend, openForWrite

void writeObject | ( | SimObject | ,
|  | object | prepend
| ) |  |